techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Tickets
  • Getting Started
  • Merchant Account
    • Merchant Wallet
      • Wallet Details
      • Charge Wallet
    • Merchant Settings
    • List Bank Accounts
    • Update Merchant Settings
    • Organization Config
  • Customers
    • Locations
      • List Customer Locations
      • Customer Location Details
      • Create Customer Location
    • Memberships
      • List Customer Memberships
    • Customer Order Statistics
    • List Customers
    • Customer Details
    • Create Customer
    • Update Customer
  • Wallets
    • Customer Wallet Details
    • Deposit Points
    • Deposit Cashback
    • Redeem from Wallet
  • Vouchers
    • Get Voucher Discount
    • Update Voucher Usage
  • Items
    • Item Config Details
    • Update Item Config
    • List Items
    • Item Details
    • Create Item
    • Update Item
    • Delete Item
    • Reserve an item
    • Record Item Purchase
    • Bulk Update Items
    • Bulk Update Item Prices
  • Item Categories
    • List Item Categories
    • Item Category Details
    • Create Category
    • Update Category
    • Delete Category
  • Item Tags
    • List Item Tags
    • Create Tag
    • Update Tag
    • Delete Tag
  • Item Images
    • Create Item Image
    • Upadte Item Image
    • Delete Item Image
  • Item Discounts
    • Create Item Discount
    • Upadte Item Discount
    • Delete Item Discount
  • Item Bundles
    • List Bundle Categories
    • Bundle Category Details
    • Create Bundle Category
    • Update Bundle Category
    • Delete Bundle Category
  • Item Modifiers
    • List Modifier Categories
    • Modifier Category Details
    • Create Modifier Category
    • Update Modifier Category
    • Delete Modifier Category
  • Carts
    • List Carts
    • Cart Details
  • Orders
    • Checkout Config Details
    • Update Checkout Config
    • List Orders
    • Order Details
    • List Recurring Purchases
    • Recurring Purchase Details
    • Recurring Purchase Details
  • Invoices
    • Invoice Config Details
    • Update Invoice Config
    • List Invoices
    • Invoice Details
    • Refund Invoice
  • Transactions
    • List Transactions
    • Transaction Details
    • Capture Bank Transfer Transaction
    • Decline Bank Transfer Transaction
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Subscriptions Statistics
    • Cancel Subscription Auto Renewal
    • Cancel Subscription
    • Increment Subscription Usage
    • Decrement Subscription Usage
    • Bulk Pause Subscriptions
    • Bulk Resume Subscriptions
    • Create Subscription Update
    • Cancel Subscription Update
  • Fulfillments
    • Fulfillment Overview
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Tickets
    • List Tickets
      GET
    • Bulk Update Tickets
      POST
    • Validate Token and Check in Ticket
      POST
  • Shipments
    • Shipping Config Details
    • Update Shipping Config
    • Shipping Labels Details
    • Purchase Shipment Labels
    • Create Shipment
    • Cancel Shipment
    • Create Return Shipment
  • Pickup Locations
    • List Pickup Locations
    • Pickup Location Details
    • Create Pickup Location
    • Update Pickup Location Details
    • Delete Pickup Location
  • Couriers
    • List Couriers
    • Get Active Couriers
    • Get Couriers Prices
    • Courier Details
    • Create Custom Courier
    • Update Custom Courier Details
    • Delete Custom Courier
  • Geo & Places
    • List Countires
    • List Regions
    • List Cities
    • List Districts
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Update Webhook Details
    • Delete Webhook
    • List Webhook Logs
    • Test Webhook
    • Delete Webhook By URL
  • Sales Channels
    • Meals
      • List Provider Meal Plans
      • Update Meals Plans Listings
      • List Provider Meals Orders
      • Provider Meals Order Details
      • List Provider Meals Subscriptions
      • Provider Meals Subscription Details
    • Sales Channel Profile Details
    • List Sales Channel Connections
    • Accept Sales Channel Connection Request
    • Reject Sales Channel Connection Request
    • Activate Sales Channel Connection
    • Deactivate Sales Channel Connection
    • Delete Sales Channel Connection Request
  • Notifications
    • Send Notification
  • Meals Plans
    • List Plan Tags
    • List Plans
    • Plan Details
    • Menu Details
  • Meals Logistics
    • City Details
    • Captain Details
    • Branch Details
    • List Supported Windows
    • List Captains
    • Bulk Update SubOrders
  1. Tickets

List Tickets

GET
https://api.techrar.com/order/v1/merchant/fulfillments/tickets/
This endpoint allows you to list all merchant tickets.
Permission
can_read_order - orders read only
Filters
You can filter tickets with almost all the fields in the fulfillment e.g. status, ..etc

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.techrar.com/order/v1/merchant/fulfillments/tickets/?search=&search=&page=1&page_size=5&order_by=' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
        {
            "id": 102765,
            "created_at": "2025-08-03T12:27:02.180482+03:00",
            "invoice_item_id": 570,
            "item": {
                "id": 127,
                "custom_fields": {
                    "pgm_payment_plan_name": "GOLDEN PAYMENTPLAN",
                    "pgm_plan_class_type_name": "Mindfulness",
                    "pgm_product_id": 15,
                    "pgm_product_class_type_name": "Mindfulness"
                },
                "images": [],
                "discount": {
                    "is_applied": false,
                    "is_trial_applied": false,
                    "is_usage_price": false,
                    "price_after_discount_no_trial": 1.0,
                    "price_after_discount": 1.0
                },
                "stock": {
                    "in_stock": true,
                    "qty": 1
                },
                "modifiers": [
                    {
                        "id": 371,
                        "ordering": 0,
                        "name_en": "time",
                        "name_ar": "time",
                        "values": [
                            {
                                "id": 928,
                                "ordering": 0,
                                "name_en": "19:35:00 - 22:35:00",
                                "name_ar": "19:35:00 - 22:35:00"
                            },
                            {
                                "id": 318,
                                "ordering": 0,
                                "name_en": "07:35:00 - 10:35:00",
                                "name_ar": "07:35:00 - 10:35:00"
                            }
                        ]
                    }
                ],
                "variants": [
                    {
                        "id": 127,
                        "custom_fields": {
                            "pgm_payment_plan_name": "GOLDEN PAYMENTPLAN",
                            "pgm_plan_class_type_name": "Mindfulness",
                            "pgm_product_id": 15,
                            "pgm_product_class_type_name": "Mindfulness"
                        },
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 1.0,
                            "price_after_discount": 1.0
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 1
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "19:35:00 - 22:35:00",
                        "variant_title_ar": "19:35:00 - 22:35:00",
                        "modifier_values": [
                            928
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "booking",
                        "service_type": "access",
                        "sku": "17523163231441593",
                        "price": 1.0,
                        "name_en": "Booking",
                        "name_ar": "Booking",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": "2025-07-01",
                        "served_to_date": "2025-08-31",
                        "served_from_time": "10:00:00",
                        "served_to_time": "11:00:00",
                        "weight": 0.0
                    },
                    {
                        "id": 128,
                        "custom_fields": null,
                        "images": [],
                        "discount": {
                            "is_applied": false,
                            "is_trial_applied": false,
                            "is_usage_price": false,
                            "price_after_discount_no_trial": 2.0,
                            "price_after_discount": 2.0
                        },
                        "stock": {
                            "in_stock": true,
                            "qty": 1
                        },
                        "plan_config": null,
                        "off_days": [],
                        "off_dates": [],
                        "variant_title_en": "07:35:00 - 10:35:00",
                        "variant_title_ar": "07:35:00 - 10:35:00",
                        "modifier_values": [
                            318
                        ],
                        "app_id": 86,
                        "ordering": 0,
                        "type": "booking",
                        "service_type": "access",
                        "sku": "1752316480842",
                        "price": 2.0,
                        "name_en": "Booking",
                        "name_ar": "Booking",
                        "description_en": "",
                        "description_ar": "",
                        "is_plan_only": false,
                        "is_plan_enabled": false,
                        "served_from_date": "2025-07-26",
                        "served_to_date": "2025-07-27",
                        "served_from_time": "07:35:00",
                        "served_to_time": "10:35:00",
                        "weight": 0.0
                    }
                ],
                "varies_on": "time",
                "bundle_categories": [],
                "plan_config": null,
                "off_days": [],
                "off_dates": [],
                "app_id": 86,
                "ordering": 0,
                "type": "booking",
                "service_type": "access",
                "sku": "17523163231441593",
                "price": 1.0,
                "name_en": "Booking",
                "name_ar": "Booking",
                "description_en": "",
                "description_ar": "",
                "is_plan_only": false,
                "is_plan_enabled": false,
                "served_from_date": "2025-07-01",
                "served_to_date": "2025-08-31",
                "served_from_time": "10:00:00",
                "served_to_time": "11:00:00",
                "weight": 0.0,
                "categories": [
                    16
                ]
            },
            "name_en": "Booking",
            "name_ar": "Booking",
            "status": "pending",
            "total_amount": 0.0,
            "date": "2025-08-03",
            "time": null,
            "customer_name": null,
            "customer_email": null,
            "customer_phone": null
        }
    ]
}
Modified at 2026-02-08 15:35:16
Previous
Update Fulfillment Details
Next
Bulk Update Tickets
Built with